cURL
curl --request GET \
--url https://api.twitterapi.io/twitter/tweet/retweeters \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.twitterapi.io/twitter/tweet/retweeters"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.twitterapi.io/twitter/tweet/retweeters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"type": "user",
"userName": "<string>",
"url": "<string>",
"id": "<string>",
"name": "<string>",
"isBlueVerified": true,
"verifiedType": "<string>",
"profilePicture": "<string>",
"coverPicture": "<string>",
"description": "<string>",
"location": "<string>",
"followers": 123,
"following": 123,
"canDm": true,
"createdAt": "<string>",
"favouritesCount": 123,
"hasCustomTimelines": true,
"isTranslator": true,
"mediaCount": 123,
"statusesCount": 123,
"withheldInCountries": [
"<string>"
],
"affiliatesHighlightedLabel": {},
"possiblySensitive": true,
"pinnedTweetIds": [
"<string>"
],
"isAutomated": true,
"automatedBy": "<string>",
"unavailable": true,
"message": "<string>",
"unavailableReason": "<string>",
"profile_bio": {
"description": "<string>",
"entities": {
"description": {
"urls": [
{
"display_url": "<string>",
"expanded_url": "<string>",
"indices": [
123
],
"url": "<string>"
}
]
},
"url": {
"urls": [
{
"display_url": "<string>",
"expanded_url": "<string>",
"indices": [
123
],
"url": "<string>"
}
]
}
}
}
}
],
"has_next_page": true,
"next_cursor": "<string>",
"status": "success",
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Tweet Endpoint
Get Tweet Retweeters
get tweet retweeters by tweet id.Each page returns about 100 retweeters. Use cursor for pagination. Order by retweet time desc
GET
/
twitter
/
tweet
/
retweeters
cURL
Authorizations
Query Parameters
The tweet ID to get. eg. 1846987139428634858
The cursor to paginate through the results. First page is "".
Response
Tweet retweeters response
Array of users
Show child attributes
Show child attributes
Indicates if there are more results available. If true, use next_cursor to fetch the next page. Warning: Due to Twitter API inconsistency, has_more might return true even when no additional data exists. In such cases, subsequent requests will return empty results - this is a known platform limitation.
Cursor for fetching the next page of results
Status of the request.success or error
Available options:
success, error Message of the request.error message
⌘I